org.sonatype.plexus.build.incremental

## Class EmptyScanner

- java.lang.Object
- - org.sonatype.plexus.build.incremental.EmptyScanner

All Implemented Interfaces:
  org.codehaus.plexus.util.Scanner

    public class EmptyScanner
    extends Object
    implements org.codehaus.plexus.util.Scanner

Scanner implementation never finds any files/directories.

### Constructor Summary

Constructors
Constructor and Description
`EmptyScanner(File basedir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDefaultExcludes()`
`File` `getBasedir()`
`String[]` `getIncludedDirectories()`
`String[]` `getIncludedFiles()`
`void` `scan()`
`void` `setExcludes(String[] excludes)`
`void` `setIncludes(String[] includes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyScanner

    public EmptyScanner(File basedir)

### Method Detail

#### addDefaultExcludes

    public void addDefaultExcludes()

Specified by:
  `addDefaultExcludes` in interface `org.codehaus.plexus.util.Scanner`

#### getIncludedDirectories

    public String[] getIncludedDirectories()

Specified by:
  `getIncludedDirectories` in interface `org.codehaus.plexus.util.Scanner`

#### getIncludedFiles

    public String[] getIncludedFiles()

Specified by:
  `getIncludedFiles` in interface `org.codehaus.plexus.util.Scanner`

#### scan

    public void scan()

Specified by:
  `scan` in interface `org.codehaus.plexus.util.Scanner`

#### setExcludes

    public void setExcludes(String[] excludes)

Specified by:
  `setExcludes` in interface `org.codehaus.plexus.util.Scanner`

#### setIncludes

    public void setIncludes(String[] includes)

Specified by:
  `setIncludes` in interface `org.codehaus.plexus.util.Scanner`

#### getBasedir

    public File getBasedir()

Specified by:
  `getBasedir` in interface `org.codehaus.plexus.util.Scanner`